org.apache.sysds.parser.dml

## Class DmlLexer

- java.lang.Object
- - org.antlr.v4.runtime.Recognizer<Integer,org.antlr.v4.runtime.atn.LexerATNSimulator>
  - - org.antlr.v4.runtime.Lexer
    - - org.apache.sysds.parser.dml.DmlLexer

All Implemented Interfaces:
  org.antlr.v4.runtime.TokenSource

    public class DmlLexer
    extends org.antlr.v4.runtime.Lexer

### Field Summary

Fields
`static org.antlr.v4.runtime.atn.ATN` `_ATN`
`static String` `_serializedATN`
`static int` `ALPHABET`
`static int` `COMMANDLINE_NAMED_ID`
`static int` `COMMANDLINE_POSITION_ID`
`static int` `DIGIT`
`static int` `DOUBLE`
`static int` `ID`
`static int` `INT`
`static int` `LINE_COMMENT`
`static String[]` `modeNames`
`static int` `MULTILINE_BLOCK_COMMENT`
`static String[]` `ruleNames`
`static int` `STRING`
`static int` `T__0`
`static int` `T__1`
`static int` `T__10`
`static int` `T__11`
`static int` `T__12`
`static int` `T__13`
`static int` `T__14`
`static int` `T__15`
`static int` `T__16`
`static int` `T__17`
`static int` `T__18`
`static int` `T__19`
`static int` `T__2`
`static int` `T__20`
`static int` `T__21`
`static int` `T__22`
`static int` `T__23`
`static int` `T__24`
`static int` `T__25`
`static int` `T__26`
`static int` `T__27`
`static int` `T__28`
`static int` `T__29`
`static int` `T__3`
`static int` `T__30`
`static int` `T__31`
`static int` `T__32`
`static int` `T__33`
`static int` `T__34`
`static int` `T__35`
`static int` `T__36`
`static int` `T__37`
`static int` `T__38`
`static int` `T__39`
`static int` `T__4`
`static int` `T__40`
`static int` `T__41`
`static int` `T__42`
`static int` `T__43`
`static int` `T__44`
`static int` `T__45`
`static int` `T__46`
`static int` `T__47`
`static int` `T__48`
`static int` `T__49`
`static int` `T__5`
`static int` `T__50`
`static int` `T__51`
`static int` `T__52`
`static int` `T__53`
`static int` `T__54`
`static int` `T__55`
`static int` `T__56`
`static int` `T__57`
`static int` `T__58`
`static int` `T__6`
`static int` `T__7`
`static int` `T__8`
`static int` `T__9`
`static String[]` `tokenNames` Deprecated. Use `VOCABULARY` instead.
`static org.antlr.v4.runtime.Vocabulary` `VOCABULARY`
`static int` `WHITESPACE`

### Fields inherited from class org.antlr.v4.runtime.Lexer

`_channel, _hitEOF, _input, _mode, _modeStack, _text, _token, _tokenStartCharIndex, _tokenStartCharPositionInLine, _tokenStartLine, _type, DEFAULT_MODE, DEFAULT_TOKEN_CHANNEL, HIDDEN, MAX_CHAR_VALUE, MIN_CHAR_VALUE, MORE, SKIP`

### Fields inherited from class org.antlr.v4.runtime.Recognizer

`EOF`

### Constructor Summary

Constructors
Constructor and Description
`DmlLexer(org.antlr.v4.runtime.CharStream input)`

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`org.antlr.v4.runtime.atn.ATN` `getATN()`
`String` `getGrammarFileName()`
`String[]` `getModeNames()`
`String[]` `getRuleNames()`
`String` `getSerializedATN()`
`String[]` `getTokenNames()` Deprecated.
`org.antlr.v4.runtime.Vocabulary` `getVocabulary()`

### Methods inherited from class org.antlr.v4.runtime.Lexer

`emit, emit, emitEOF, getAllTokens, getChannel, getCharErrorDisplay, getCharIndex, getCharPositionInLine, getErrorDisplay, getErrorDisplay, getInputStream, getLine, getSourceName, getText, getToken, getTokenFactory, getType, mode, more, nextToken, notifyListeners, popMode, pushMode, recover, recover, reset, setChannel, setCharPositionInLine, setInputStream, setLine, setText, setToken, setTokenFactory, setType, skip`

### Methods inherited from class org.antlr.v4.runtime.Recognizer

`action, addErrorListener, getErrorHeader, getErrorListenerDispatch, getErrorListeners, getInterpreter, getParseInfo, getRuleIndexMap, getState, getTokenErrorDisplay, getTokenType, getTokenTypeMap, precpred, removeErrorListener, removeErrorListeners, sempred, setInterpreter, setState`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### T__0

    public static final int T__0

See Also:
  Constant Field Values

#### T__1

    public static final int T__1

See Also:
  Constant Field Values

#### T__2

    public static final int T__2

See Also:
  Constant Field Values

#### T__3

    public static final int T__3

See Also:
  Constant Field Values

#### T__4

    public static final int T__4

See Also:
  Constant Field Values

#### T__5

    public static final int T__5

See Also:
  Constant Field Values

#### T__6

    public static final int T__6

See Also:
  Constant Field Values

#### T__7

    public static final int T__7

See Also:
  Constant Field Values

#### T__8

    public static final int T__8

See Also:
  Constant Field Values

#### T__9

    public static final int T__9

See Also:
  Constant Field Values

#### T__10

    public static final int T__10

See Also:
  Constant Field Values

#### T__11

    public static final int T__11

See Also:
  Constant Field Values

#### T__12

    public static final int T__12

See Also:
  Constant Field Values

#### T__13

    public static final int T__13

See Also:
  Constant Field Values

#### T__14

    public static final int T__14

See Also:
  Constant Field Values

#### T__15

    public static final int T__15

See Also:
  Constant Field Values

#### T__16

    public static final int T__16

See Also:
  Constant Field Values

#### T__17

    public static final int T__17

See Also:
  Constant Field Values

#### T__18

    public static final int T__18

See Also:
  Constant Field Values

#### T__19

    public static final int T__19

See Also:
  Constant Field Values

#### T__20

    public static final int T__20

See Also:
  Constant Field Values

#### T__21

    public static final int T__21

See Also:
  Constant Field Values

#### T__22

    public static final int T__22

See Also:
  Constant Field Values

#### T__23

    public static final int T__23

See Also:
  Constant Field Values

#### T__24

    public static final int T__24

See Also:
  Constant Field Values

#### T__25

    public static final int T__25

See Also:
  Constant Field Values

#### T__26

    public static final int T__26

See Also:
  Constant Field Values

#### T__27

    public static final int T__27

See Also:
  Constant Field Values

#### T__28

    public static final int T__28

See Also:
  Constant Field Values

#### T__29

    public static final int T__29

See Also:
  Constant Field Values

#### T__30

    public static final int T__30

See Also:
  Constant Field Values

#### T__31

    public static final int T__31

See Also:
  Constant Field Values

#### T__32

    public static final int T__32

See Also:
  Constant Field Values

#### T__33

    public static final int T__33

See Also:
  Constant Field Values

#### T__34

    public static final int T__34

See Also:
  Constant Field Values

#### T__35

    public static final int T__35

See Also:
  Constant Field Values

#### T__36

    public static final int T__36

See Also:
  Constant Field Values

#### T__37

    public static final int T__37

See Also:
  Constant Field Values

#### T__38

    public static final int T__38

See Also:
  Constant Field Values

#### T__39

    public static final int T__39

See Also:
  Constant Field Values

#### T__40

    public static final int T__40

See Also:
  Constant Field Values

#### T__41

    public static final int T__41

See Also:
  Constant Field Values

#### T__42

    public static final int T__42

See Also:
  Constant Field Values

#### T__43

    public static final int T__43

See Also:
  Constant Field Values

#### T__44

    public static final int T__44

See Also:
  Constant Field Values

#### T__45

    public static final int T__45

See Also:
  Constant Field Values

#### T__46

    public static final int T__46

See Also:
  Constant Field Values

#### T__47

    public static final int T__47

See Also:
  Constant Field Values

#### T__48

    public static final int T__48

See Also:
  Constant Field Values

#### T__49

    public static final int T__49

See Also:
  Constant Field Values

#### T__50

    public static final int T__50

See Also:
  Constant Field Values

#### T__51

    public static final int T__51

See Also:
  Constant Field Values

#### T__52

    public static final int T__52

See Also:
  Constant Field Values

#### T__53

    public static final int T__53

See Also:
  Constant Field Values

#### T__54

    public static final int T__54

See Also:
  Constant Field Values

#### T__55

    public static final int T__55

See Also:
  Constant Field Values

#### T__56

    public static final int T__56

See Also:
  Constant Field Values

#### T__57

    public static final int T__57

See Also:
  Constant Field Values

#### T__58

    public static final int T__58

See Also:
  Constant Field Values

#### ID

    public static final int ID

See Also:
  Constant Field Values

#### INT

    public static final int INT

See Also:
  Constant Field Values

#### DOUBLE

    public static final int DOUBLE

See Also:
  Constant Field Values

#### DIGIT

    public static final int DIGIT

See Also:
  Constant Field Values

#### ALPHABET

    public static final int ALPHABET

See Also:
  Constant Field Values

#### COMMANDLINE_NAMED_ID

    public static final int COMMANDLINE_NAMED_ID

See Also:
  Constant Field Values

#### COMMANDLINE_POSITION_ID

    public static final int COMMANDLINE_POSITION_ID

See Also:
  Constant Field Values

#### STRING

    public static final int STRING

See Also:
  Constant Field Values

#### LINE_COMMENT

    public static final int LINE_COMMENT

See Also:
  Constant Field Values

#### MULTILINE_BLOCK_COMMENT

    public static final int MULTILINE_BLOCK_COMMENT

See Also:
  Constant Field Values

#### WHITESPACE

    public static final int WHITESPACE

See Also:
  Constant Field Values

#### modeNames

    public static String[] modeNames

#### ruleNames

    public static final String[] ruleNames

#### VOCABULARY

    public static final org.antlr.v4.runtime.Vocabulary VOCABULARY

#### tokenNames

    @Deprecated
    public static final String[] tokenNames

Deprecated. Use `VOCABULARY` instead.

#### _serializedATN

    public static final String _serializedATN

See Also:
  Constant Field Values

#### _ATN

    public static final org.antlr.v4.runtime.atn.ATN _ATN

### Constructor Detail

#### DmlLexer

    public DmlLexer(org.antlr.v4.runtime.CharStream input)

### Method Detail

#### getTokenNames

    @Deprecated
    public String[] getTokenNames()

Deprecated.

Overrides:
  `getTokenNames` in class `org.antlr.v4.runtime.Lexer`

#### getVocabulary

    public org.antlr.v4.runtime.Vocabulary getVocabulary()

Overrides:
  `getVocabulary` in class `org.antlr.v4.runtime.Recognizer<Integer,org.antlr.v4.runtime.atn.LexerATNSimulator>`

#### getGrammarFileName

    public String getGrammarFileName()

Specified by:
  `getGrammarFileName` in class `org.antlr.v4.runtime.Recognizer<Integer,org.antlr.v4.runtime.atn.LexerATNSimulator>`

#### getRuleNames

    public String[] getRuleNames()

Specified by:
  `getRuleNames` in class `org.antlr.v4.runtime.Recognizer<Integer,org.antlr.v4.runtime.atn.LexerATNSimulator>`

#### getSerializedATN

    public String getSerializedATN()

Overrides:
  `getSerializedATN` in class `org.antlr.v4.runtime.Recognizer<Integer,org.antlr.v4.runtime.atn.LexerATNSimulator>`

#### getModeNames

    public String[] getModeNames()

Overrides:
  `getModeNames` in class `org.antlr.v4.runtime.Lexer`

#### getATN

    public org.antlr.v4.runtime.atn.ATN getATN()

Specified by:
  `getATN` in class `org.antlr.v4.runtime.Recognizer<Integer,org.antlr.v4.runtime.atn.LexerATNSimulator>`